CVE-2005-3060
CVSS7.2
发布时间 :2005-09-30 15:10:00
修订时间 :2008-09-05 16:53:21
NMCOS    

[原文]Buffer overflow in getconf in IBM AIX 5.2 to 5.3 allows local users to execute arbitrary code via unknown vectors.


[CNNVD]IBM AIX Getconf本地缓冲区溢出漏洞(CNNVD-200509-301)

        IBM AIX(Advanced Interactive eXecutive)是IBM开发的一套UNIX操作系统,也可称为 AIX。它符合Open group的UNIX 98行业标准。
        IBM AIX 5.2版本至5.3版本中存在缓冲区溢出漏洞,本地用户可通过未知向量执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:ibm:aix:5.2IBM AIX 5.2
cpe:/o:ibm:aix:5.3IBM AIX 5.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3060
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3060
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200509-301
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/602300
(VENDOR_ADVISORY)  CERT-VN  VU#602300
http://www.securityfocus.com/bid/14959
(PATCH)  BID  14959
http://secunia.com/advisories/16996
(PATCH)  SECUNIA  16996
http://xforce.iss.net/xforce/xfdb/22442
(UNKNOWN)  XF  aix-getconf-bo(22442)
http://www.osvdb.org/19719
(UNKNOWN)  OSVDB  19719
http://www-1.ibm.com/support/docview.wss?uid=isg1IY73850
(UNKNOWN)  AIXAPAR  IY73850
http://www-1.ibm.com/support/docview.wss?uid=isg1IY73814
(UNKNOWN)  AIXAPAR  IY73814
http://securitytracker.com/id?1014991
(UNKNOWN)  SECTRACK  1014991

- 漏洞信息

IBM AIX Getconf本地缓冲区溢出漏洞
高危 缓冲区溢出
2005-09-30 00:00:00 2005-10-20 00:00:00
本地  
        IBM AIX(Advanced Interactive eXecutive)是IBM开发的一套UNIX操作系统,也可称为 AIX。它符合Open group的UNIX 98行业标准。
        IBM AIX 5.2版本至5.3版本中存在缓冲区溢出漏洞,本地用户可通过未知向量执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        IBM AIX 5.2
        IBM IY73850: SECURITY: VULNERABILITIES IN GETCONF COMMAND
        http://www-1.ibm.com/support/docview.wss?uid=isg1IY73850
        IBM AIX 5.3
        IBM IY73814: SECURITY: VULNERABILITIES IN GETCONF COMMAND
        http://www-1.ibm.com/support/docview.wss?uid=isg1IY73814
        IBM AIX 5.2 L
        IBM IY73850: SECURITY: VULNERABILITIES IN GETCONF COMMAND
        http://www-1.ibm.com/support/docview.wss?uid=isg1IY73850
        IBM AIX 5.2.2
        IBM IY73850: SECURITY: VULNERABILITIES IN GETCONF COMMAND
        http://www-1.ibm.com/support/docview.wss?uid=isg1IY73850
        IBM AIX 5.3 L
        IBM IY73814: SECURITY: VULNERABILITIES IN GETCONF COMMAND
        http://www-1.ibm.com/support/docview.wss?uid=isg1IY73814

- 漏洞信息

19719
IBM AIX getconf Unspecified Command Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

A local overflow exists in IBM AIX. The getconf command fails to perform proper bounds checking resulting in a buffer overflow. With a specially crafted request, a malicious user can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-07-08 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, IBM has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

IBM AIX Getconf Local Buffer Overflow Vulnerability
Boundary Condition Error 14959
No Yes
2005-09-28 12:00:00 2009-07-12 05:06:00
The vendor disclosed this issue.

- 受影响的程序版本

IBM AIX 5.3 L
IBM AIX 5.2.2
IBM AIX 5.2 L
IBM AIX 5.1 L
IBM AIX 5.3
IBM AIX 5.2
IBM AIX 5.1

- 漏洞讨论

IBM AIX getconf is prone to a local buffer overflow vulnerability. This issue arises because the application fails to perform boundary checks prior to copying user-supplied data into insufficiently-sized memory buffers.

A successful attack allows arbitrary machine code execution with superuser privileges, due to the affected application being installed with setuid-superuser privileges.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The vendor has released an advisory, along with fixes to address this issue. Please see the referenced advisory for further information.


IBM AIX 5.2

IBM AIX 5.3

IBM AIX 5.2 L

IBM AIX 5.2.2

IBM AIX 5.3 L

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站